#ifndef ROOM_H_
#define ROOM_H_

#include "Polygon.h"
#include "LevelObject.h"
#include <string>


class Room : public Polygon, public LevelObject {
  private:
    std::string name;
    float height;
    
  public:
    Room() {height = 10;}
    Room(std::string name) {this->name = name; height = 10;}
    
    std::string &getName() {return name;}
    const std::string &getName() const {return name;}
    void setName(const std::string &name) {this->name = name;}
    
    float getHeight() const {return height;}
    void setHeight(float height) {this->height = height;}
    
    virtual bool hit(const Vertex &v) const {return contains(v);}
    virtual int getPriority() const {return 0;}
    
    virtual const char* getType() const {
      return "Room";
    }
};

#endif /*ROOM_H_*/
