#ifndef SIDEBARVIEW_H_
#define SIDEBARVIEW_H_

#include "Sidebar.h"
#include "EditManager.h"


class ToolSelector;

class SidebarView : public Sidebar {
  private:
    GtkWidget *sidebar;
    GtkWidget *labelType, *labelName, *entryName;
    GtkWidget *tableRoomData, *labelArea, *labelPerimeter, *spinButtonHeight;
    GtkWidget *tablePlayerStart, *spinButtonX, *spinButtonY, *spinButtonZ;
    
    EditManager *editManager;
    
    // prevent shallow copy
    SidebarView(const SidebarView &w);
    const SidebarView& operator=(const SidebarView &w);
    
    static void spinButtonChanged(GtkWidget *spinbutton, SidebarView *view);
    
  public:
    SidebarView(EditManager *editManager);
    virtual ~SidebarView();
    
    GtkWidget* getWidget();
    
    void update();
};

#endif /*SIDEBARVIEW_H_*/
