#ifndef TOOLSELECTOR_H_
#define TOOLSELECTOR_H_

#include "Tool.h"
#include "EditManager.h"
#include "SidebarView.h"


class ToolSelector : public Tool, public EventHandler {
  private:
    GtkWidget *image;
    
    EditManager *editManager;
    
    SidebarView sidebar;
    
    // prevent shallow copy
    ToolSelector(const ToolSelector &t);
    const ToolSelector& operator=(const ToolSelector &t);
    
  public:
    ToolSelector(EditManager *editManager);
    virtual ~ToolSelector();
    
    virtual const char *getType() const {
      return "ToolSelector";
    }
    
    virtual const char *getName() const {
      return "Select";
    }
    
    virtual bool isSensitive() {
      return TRUE;
    }
    
    virtual GtkWidget *getImage() {
      return image;
    }
    
    virtual EventHandler *getEventHandler() {
      return this;
    }
    
    virtual bool buttonPress(unsigned int button);
    
    virtual Sidebar* getSidebar() {
      return &sidebar;
    }
};

#endif /*TOOLSELECTOR_H_*/
