#ifndef UIMANAGER_H_
#define UIMANAGER_H_

#include <gtk/gtk.h>


class Window;


class UIManager {
  private:
    static const gchar* uiData;
    
    GtkUIManager *uiManager;
    Window *window;
    
    GtkActionGroup* createActions();
    
    static void handleAction(GtkAction *action, UIManager *uiManager);
    
    
  public:
    enum Action {
      SAVE, SAVE_AS, ZOOM_IN, ZOOM_OUT
    };
    
    UIManager(Window *window);
    virtual ~UIManager();
    
    GtkWidget* getMenu() {
      return gtk_ui_manager_get_widget(uiManager, "/ui/menubar");
    }
    
    GtkWidget* getToolbar() {
      return gtk_ui_manager_get_widget(uiManager, "/ui/toolbar1");
    }
    
    GtkAccelGroup* getAccels() {
      return gtk_ui_manager_get_accel_group(uiManager);
    }
};

#endif /*UIMANAGER_H_*/
