#ifndef VERTEX_H_
#define VERTEX_H_

class Vertex {
  private:
    float x, y;
    
  public:
    Vertex() {x = y = 0.0;}
    Vertex(float x, float y) {this->x = x; this->y = y;}
    
    float getX() const {return x;}
    void setX(float x) {this->x = x;}
    
    float getY() const {return y;}
    void setY(float y) {this->y = y;}
    
    void setLocation(float x, float y) {this->x = x; this->y = y;}
    
    float distanceSq(const Vertex &v) const;
    float distance(const Vertex &v) const;
    
    Vertex operator+(const Vertex &v) const;
    Vertex operator-(const Vertex &v) const;
    
    Vertex& operator+=(const Vertex &v);
    Vertex& operator-=(const Vertex &v);
};

#endif /*VERTEX_H_*/
